# Automated plots from Time-series ProbeGuard and Hydrolab via Water2Web
# for GreenEyes LLC
# Vince Kelly vince@gescience.com
# Feb. 16,2011

#move to data dir
	#cd '/home/pi/ComScriptPi/profiles/Temperature_parse'

#prep for png output
	
	set terminal png size 1024,768
	#set terminal png font "arial" 12
#add a grid
	set grid
	
#set ledgend outside
       set key outside

#set data delimiter
       set datafile separator ","

#process absorbance
	set output '../../NuLAB_dataPO4.png'
	set style data lines
	set autoscale xy
	set xlabel "time"
	set ylabel "data"
	set xdata time
	set timefmt "%m/%d/%Y,%H:%M:%S"
	set format x "%m/%d/%Y,%H:%M:%S"
	#set xtics 34560
	set xtics rotate
	set mxtics 4
	set title "NuLAB Data"
	set pointsize 0.75
	set size 1.0,0.75
	plot '../../PdataOBS.txt' using 2:1 title 'PO4 smp abs' with points pointtype 5 ps 2, '../../PdataSmp.txt' using 2:1 title 'PO4 OBS abs' with points pointtype 5 ps 2
